/********************************************************************************
 * Copyright (c) Erik Kunze  1996
 *               Jens Kilian 1998
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of the copyright holder not be used in
 * advertising or publicity pertaining to distribution of the software without
 * specific, written prior permission.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It
 * is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 * EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 *
 * changed by EKU
 * modified for BeZX JJK
 *******************************************************************************/

static char rcsid[] = "$Id: audio.c,v 3.1 1996/10/03 19:06:07 erik Exp $";

/********************************************************************************
 * audio.c - Common audio interface.
 *******************************************************************************/

#include "ZXConfig.h"
#include "util.h"
#include "audio.h"

// ### #include "ay8912.c"
// ### #include "speaker.c"

/********************************************************************************
 * Defines
 *******************************************************************************/

/********************************************************************************
 * Forwards
 *******************************************************************************/

/********************************************************************************
 * Globals
 *******************************************************************************/

/********************************************************************************
 * Locals
 *******************************************************************************/

/********************************************************************************
 * AudioInit() - 
 *
 * Input:  -
 *
 * Return:  0 - o.k.
 *         -1 - error
 *******************************************************************************/

int
AudioInit(void)
{
	int ret = -1;
	
//	if (AyInit(GETCFG(audioDev), GETCFG(useSound)) != -1)
//	{
//		ret = 0;
//	}
//
//	if (SpeakerInit(GETCFG(useSound)) != -1)
//	{
//		ret = 0;
//	}

	if (ret == -1)
	{
		XzxMesg(XZX_WARN, "audio initialisation failed");
		SETCFG(useSound, false);
	}

	return ret;
}

/* EOF *************************************************************************/
