/********************************************************************************
 * Copyright (c) Erik Kunze 1995
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of the copyright holder not be used in
 * advertising or publicity pertaining to distribution of the software without
 * specific, written prior permission.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It
 * is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 * EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Erik Kunze
 *
 * changed by EKU
 *******************************************************************************/

#ifndef _XZX_SPEAKER_H
#define _XZX_SPEAKER_H

/* $Id: speaker.h,v 3.1 1996/10/03 19:02:23 erik Exp $ */

#include "z80.h"

/********************************************************************************
 * Defines
 *******************************************************************************/

/********************************************************************************
 * Prototypes
 *******************************************************************************/

#ifdef SUN_AUDIO
extern int SpeakerInit(char *, int);
#else
extern int SpeakerInit(int);
#endif
extern void SpeakerOnOff(void);
extern void SpeakerOutByte(uns8, uns8);
extern void RingBell(int, int);

#endif /* ! _XZX_AUDIO_H */ 

/* EOF *************************************************************************/
